/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

module.exports = {
  'Account Role': 'Account Role',
  'Platform Roles': 'Platform Roles',
  'Account Roles': 'Account Roles',
  'Authorization Settings': 'Authorization Settings',
  'Authorized Actions': 'Authorized Actions',
  Cluster: 'Cluster',
  'Cluster Members Management': 'Cluster Member Management',
  'Cluster Members View': 'Cluster Member Viewing',
  'Cluster Monitoring View': 'Cluster Monitoring Viewing',
  CLUSTER_RESOURCES_MANAGEMENT: 'Cluster Resource Management',
  'Cluster Role': 'Cluster Role',
  'Cluster Roles Management': 'Cluster Role Management',
  'Cluster Roles View': 'Cluster Role Viewing',
  'Clusters Management': 'Cluster Management',
  'Components Management': 'Component Management',
  'CRD Management': 'CRD Management',
  'Create Cluster Role': 'Create Cluster Role',
  'Create Project Role': 'Create Project Role',
  'Default user role which allows a user to manage resources within the projects created by the user himself or invited by others. It does not allow the user to manage unauthorized resources in the cluster.': 'Default user role which allows a user to manage resources within the projects created by the user himself or invited by others. It does not allow the user to manage unauthorized resources in the cluster.',
  'DevOps Members Management': 'DevOps Member Management',
  'DevOps Members View': 'DevOps Member Viewing',
  'DevOps Roles Management': 'DevOps Role Management',
  'DevOps Roles View': 'DevOps Role Viewing',
  'Edit Account Role': 'Edit Account Role',
  'Edit Cluster Role': 'Edit Cluster Role',
  'Edit Project Role': 'Edit Project Role',
  'Edit Role': 'Edit Role',
  'Federated Projects Management': 'Federated Project Management',
  'Invalid role name': 'Invalid role name.',
  'Invited Successfully': 'Invited successfully.',
  Member: 'Member',
  'Network Policies Management': 'Network Policy Management',
  'Network Policies View': 'Network Policy Viewing',
  'Nodes View': 'Node Viewing',
  ROLE_NAME_EMPTY_DESC: 'Please enter a role name.',
  'Please specify role authorization': 'Specify the role permissions.',
  'Project Details': 'Project Details',
  PROJECT_RESOURCES_MANAGEMENT: 'Project Resource Management',
  Role: 'Role',
  'Role Management': 'Role Management',
  'Role Type': 'Role Type',
  Roles: 'Roles',
  roles: 'roles',
  'StorageClasses Management': 'StorageClass Management',
  'StorageClasses View': 'StorageClass Viewing',
  'Unable to delete preset role': 'Preset roles cannot be deleted.',
  NO_AVAILABLE_ROLE: 'No role is available in the current project.',
  JOIN_PROJECT_PLACEHOLDER: 'Invite users by username or email address to the project.',
  ROLE_PROJECTS_JOIN_TIP: 'Enter a username or email address to invite a user to the project.',
  ROLE_DELETE_TIP: 'The role is already bound to the user. You can unbind the role and try again.',
  ROLE_NO_AVAILABLE_TIP: 'No role is available in the current project.',
  ROLE_TYPE_DESC: 'The role types are classified into cluster and project, the current role is authorized as the project scope.',
  RULE_WORKSPACES: 'Workspaces',
  RULE_KUBECTL: 'kubectl',
  RULE_MONITORING: 'Monitoring Management',
  RULE_PROJECTS: 'Project Management',
  RULE_USERS: 'User Management',
  RULE_ACCOUNTS: 'Account Management',
  RULE_ROLES: 'Role Management',
  RULE_REGISTRYS: 'Image Registry',
  RULE_PERSISTENTVOLUMECLAIMS: 'Volume Management',
  RULE_STORAGECLASSES: 'Storage Class Management',
  RULE_IMAGES: 'Image Repository Management',
  RULE_NODES: 'Node Management',
  RULE_APP_CATALOG: 'Repository Management',
  RULE_REPOS: 'Repository Management',
  RULE_APPS: 'App Template',
  RULE_DEPLOYMENTS: 'Deployments',
  RULE_STATEFULSETS: 'Statefulsets',
  RULE_DAEMONSETS: 'Daemonsets',
  RULE_SERVICES: 'Service Management',
  RULE_ROUTES: 'Route Management',
  RULE_VIEW: 'View',
  RULE_CREATE: 'Create',
  RULE_EDIT: 'Edit',
  RULE_DELETE: 'Delete',
  RULE_ROLE_BINDING: 'Binding Roles',
  RULE_PODSCALE: 'Pod Scaling Management',
  RULE_SCALE: 'Scale out/in',
  RULE_MEMBERS: 'Member Management',
  RULE_MEMBER_ROLES: 'Member Role',
  RULE_COMPONENTS: 'Components',
  RULE_VOLUMES: 'Volumes',
  RULE_PODS: 'Pod Management',
  RULE_TERMINAL: 'Remote Terminal',
  RULE_APPLICATIONS: 'Applications',
  RULE_JOBS: 'Jobs',
  RULE_CRONJOBS: 'Cronjobs',
  RULE_SECRETS: 'Secrets',
  RULE_CONFIGMAPS: 'Configmaps',
  RULE_DRAIN: 'Drain',
  RULE_CORDON: 'Cordon/Uncordon',
  RULE_TAINT: 'Taint Management',
  RULE_DEVOPS: 'DevOps Project Management',
  RULE_REGISTRIES: 'Image Registry',
  RULE_ORGANIZATIONS: 'Organization',
  RULE_INTERNET: 'Internet Access Management',
  RULE_LOGGING: 'Log Management',
  RULE_ALERTING: 'Alerting Management',
  RULE_MANAGE: 'Manage',
  RULE_ADVANCED: 'Advanced Settings',
  RULE_S2IBUILDERS: 'Image Builder',
  NODES_VIEW_DESC: 'View node information.',
  NODES_MANAGEMENT_DESC: 'Manage nodes and taints.',
  CRD_MANAGEMENT_DESC: 'View, modify, and delete cluster CRDs.',
  COMPONENTS_MANAGEMENT_DESC: 'Manage cluster components.',
  ACCOUNT_ROLE_DESC: 'The role of an account defines the permissions of the account on the KubeSphere platform.',
  ACCOUNT_ROLE_CREATE_DESC: 'The role of an account defines the permissions of the account on the KubeSphere platform.',
  DEVOPS_ROLES_VIEW_DESC: 'View DevOps project roles.',
  DEVOPS_ROLES_MANAGEMENT_DESC: 'Create, edit, and delete DevOps project roles except preset roles.',
  DEVOPS_MEMBERS_VIEW_DESC: 'View DevOps project members.',
  DEVOPS_MEMBERS_MANAGEMENT_DESC: 'Invite, edit, and remove DevOps project members.',
  CLUSTER_MEMBERS_MANAGEMENT_DESC: 'Invite, edit, and remove cluster members.',
  CLUSTER_MEMBERS_VIEW_DESC: 'View cluster members.',
  CLUSTER_ROLES_MANAGEMENT_DESC: 'Create, edit, and delete cluster roles except preset roles.',
  CLUSTER_ROLES_VIEW_DESC: 'View cluster roles.',
  NETWORK_POLICIES_MANAGEMENT_DESC: 'Create, edit, and delete cluster network policies.',
  NETWORK_POLICIES_VIEW_DESC: 'View cluster network policies.',
  STORAGECLASSES_VIEW_DESC: 'View storage classes in a cluster.',
  STORAGECLASSES_MANAGEMENT_DESC: 'Create, edit, and delete storage classes and set the default storage class.',
  CLUSTER_MONITORING_VIEW_DESC: 'View cluster physical resources and monitoring data of application resources.',
  FEDERATED_PROJECTS_MANAGEMENT_DESC: 'Create, edit, and delete multi-cluster projects in the workspace.',
  ROLE_CLUSTER_ADMIN: 'Control all resources in the cluster.',
  ROLE_CLUSTER_VIEWER: 'View all resources in the cluster.',
  ROLE_DEVOPS_REGULAR: 'Manage pipelines and credentials and view members and roles in the DevOps project.',
}
