/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */
module.exports = {
  'According to the HTTP header': 'De acuerdo con el encabezado HTTP',
  'Add Component': 'Agregar componente',
  'Add Component Successfully': 'Componente añadido con éxito',
  'Add an Internet access rule for the application': 'Agregar regla de acceso a Internet para la aplicación',
  'Add New Component': 'Agregar nuevo componente',
  'App store deployment': 'Despliegue desde la tienda de aplicaciones',
  'App Template': 'Plantilla de la aplicación',
  'App Types': 'Tipos de aplicaciones',
  APP_ICON_TIP: 'Click to upload the app icon with a maximum size of 120px * 120px.',
  application: 'aplicación',
  'Application Component': 'Componente de aplicación',
  APP_COMPONENT_PL: 'Componentes de la aplicación',
  'Application components combine workloads and services as components in applications': 'Los componentes de la aplicación combinan workload y servicios como componentes en las aplicaciones.',
  'Application governance is not enabled': 'La gestión de la aplicación no está habilitado',
  'Application Icon': 'Ícono de aplicación',
  'Application Route': 'Ruta de solicitud',
  APP_VERSION: 'Versión de aplicación (opcional)',
  'Build an app by app template': 'Crear una aplicación por plantilla de aplicación',
  'Build an app by services': 'Crea una aplicación por servicios',
  'Called Depth': 'Llamada profundidad',
  'Called Services': 'Llamados servicios',
  'Choose existing services or create new service components to build an app': 'Elija servicios existentes o cree nuevos componentes de servicio para crear una aplicación',
  'Cluster Select': 'Seleccionar clúster',
  'Cluster Selection': 'Selección de clúster',
  'Component Version': 'Versión de componente',
  'Composing App': 'Aplicación por composición',
  'Create Application by Service': 'Crear aplicación por servicio',
  'Current Version': 'Versión actual',
  DEPLOY: 'Desplegar',
  'Deploy App': 'Desplegar aplicación',
  'Deploy applications with one-click application templates provided by Kubesphere': 'Despliega aplicaciones con plantillas de aplicaciones proporcionadas por Kubesphere, con un solo click',
  'Deploy sample app Bookinfo': 'Desplegar la aplicación de ejemplo Bookinfo',
  'From third party Helm': 'Desde Helm de terceros',
  'How to use Application Governance': 'Cómo usar la gestión de aplicaciones',
  'If you need to access applications by application route, add routing rules': 'Si necesita acceder a las aplicaciones por ruta de aplicación, agregue reglas de enrutamiento',
  Log: 'Registro',
  'Max request retries': 'Máximo reintentos de la solicitud',
  METHOD: 'Método',
  'No Components': 'Sin componentes',
  'No result found': 'No se han encontrado resultados',
  Off: 'Off',
  On: 'On',
  'Please finish the sub form first': 'Por favor termina el subformulario primero',
  'Please input an application name': 'Por favor introduce un nombre de aplicación',
  'Please input component version': 'Por favor introduce la versión del componente',
  Process: 'Proceso',
  Receive: 'Recibir',
  Rollback: 'Rollback',
  'Sample apps can help you get started with app creation and app governance': 'Las aplicaciones de muestra pueden ayudarte a comenzar con la creación y la gestión de la aplicación',
  Send: 'Enviar',
  'Service components should not be empty': 'Los componentes de servicio no deben estar vacíos.',
  SERVICE_PORTS: 'Puertos de servicio',
  SERVICE_PORT_NAME_DESC: 'The port name must follow the format: <protocol>[-<suffix>]. http, http2, grpc, mongo or redis can be used as <protocol> so that you can use Istio’s routing features. For example, name: http2-foo and name: http are valid names while name: http2foo is invalid.',
  'Services & Operations': 'Servicios y operaciones',
  'Session retention': 'Retención de la sesión',
  'Success rate': 'Tasa de éxito',
  Tags: 'Etiquetas',
  TOTAL_COLLECTIONS: 'Total {num} receivers',
  Traffic: 'Tráfico',
  'Traffic Monitoring': 'Monitorización de tráfico',
  Upgrade: 'Subir de versión',
  'Workload Type': 'Tipo de carga de trabajo',
  TOTAL_APPS: 'Total de {num} aplicaciones',
  APP_WORKLOAD_TYPE_DESC: 'Admite servicios sin estado (Deployment) y servicios con estado (StatefulSet)',
  TYPE_SERVICE_DEPLOYMENT: 'Servicio sin estado (Deployment)',
  TYPE_SERVICE_STATEFULSET: 'Servicio con estado (StatefulSet)',
  'Last {hour} hour': 'Última {hour} hora',
  'Last {hour} hours': 'Últimas {hour} horas',
  'Last {day} days': 'Últimos {day} días',
  WORKLOAD_NAME_EXIST: 'La carga de trabajo {name} existe',
  TIP_APP_TYPE: 'KubeSphere admite el despliegue de aplicaciones (basado en Helm) desde tiendas de aplicaciones y repositorios de aplicaciones, así como aplicaciones propias (Application CRD).',
  TIP_APP_GOVERNANCE: 'Usar la gestión de aplicación requiere crear una aplicación propia y activar la gestión para cada servicio',
  APP_REPOS_DESC: 'El repositorio de aplicaciones proviene de un repositorio de Charts de Helm de terceros, que visualmente muestra y proporciona capacidades de despliegue y administración en KubeSphere. Los usuarios pueden desplegar rápidamente aplicaciones con un solo click, basadas en las plantillas del repositorio de aplicaciones.',
  TRAFFIC_MANAGEMENT_NO_MICROSERVICE_TIP: 'La gestión del tráfico depende del módulo de microservicios. El clúster actual no tiene habilitado dicho módulo',
  TRACING_NO_MICROSERVICE_TIP: 'El servicio de tracing depende del módulo de microservicios, el clúster actual no tiene habilitado dicho módulo'
};