/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

module.exports = {
  // Cluster Node List
  CORE: 'core',

  About: 'About',
  'Access Control': 'Access Control',
  Account: 'Account',
  active: 'Active',
  ACTIVITY: 'Activity',
  VIEW_RECORDS: 'View Records',
  Add: 'Add',
  'Add ': 'Add ',
  'Add Param': 'Add Param',
  ADD_PARAMETER: 'Add Parameter',
  'Add Task': 'Add Task',
  'Advanced Settings': 'Advanced Settings',
  Agent: 'Agent',
  All: 'All',
  'All Repositories': 'All Repositories',
  'Analysis Tools': 'Analysis Tools',
  'API Documents': 'API Documents',
  'App Templates': 'App Templates',
  Application: 'App',
  APPLICATION: 'App',
  APPLICATION_WORKLOADS: 'Application Workloads',
  Apply: 'Apply',
  auditing: 'auditing',
  Auditing: 'Auditing',
  'Auditing Operating': 'Auditing Operating',
  'Back To List': 'Back To List',
  'Basic Info': 'Basic Information',
  'Basic Information': 'Basic Information',
  body: 'body',
  Cancel: 'Cancel',
  'Canceled Successfully': 'Canceled Successfully',
  Ceased: 'Ceased',
  'clear search conditions': 'clear search conditions.',
  CLUSTER_COUNT: 'Cluster',
  Collapse: 'Collapse',
  Completed: 'Completed',
  Configuration: 'Configuration',
  Confirm: 'Confirm',
  Container: 'Container',
  Containers: 'Containers',
  Contributors: 'Contributors',
  'Control Tools': 'Control Tools',
  Cordon: 'Cordon',
  Count: 'Count',
  Create: 'Create',
  Current: 'Current',
  Custom: 'Custom',
  'Data Sources': 'Data Sources',
  Days: 'Days',
  deleted: 'deleted',
  Deleted: 'Deleted',
  Destroy: 'Destroy',
  Detail: 'Detail',
  'Developer Community': 'Developer Community',
  Disabled: 'Disabled',
  disabled: 'disabled',
  Display: 'Display',
  'Display all': 'Display all',
  'Display selected': 'Display selected',
  'Do HH:mm': 'Do HH:mm',
  domain: 'domain',
  Domain: 'Domain',
  Download: 'Download',
  Downstream: 'Downstream',
  Drain: 'Drain',
  Draining: 'Draining',
  KEY_EXIST_DESC: 'The key already exists.',
  'Edit ': 'Edit ',
  EDIT_MODE: 'Edit Mode',
  'eg.': 'eg.',
  email: 'email',
  EMPTY_KEY_DESC: 'Please enter a key.',
  Enabled: 'Enabled',
  'End Time': 'End Time',
  Error: 'Error',
  'Error Tips': 'Error Tips',
  event: 'event',
  'Event metadata': 'Event metadata',
  EVENT_SEARCH: 'Event Search',
  EVENT_DESC: 'EVENT_DESC',
  Events: 'Events',
  events: 'events',
  exists: 'exists',
  Failed: 'Failed',
  failed: 'failed',
  False: 'False',
  false: 'false',
  filename: 'filename',
  'half month': 'half month',
  'half month ago': 'half month ago',
  Healthy: 'Healthy',
  healthy: 'healthy',
  Hidden: 'Hidden',
  History: 'History',
  Hours: 'Hours',
  Images: 'Images',
  Infrastructure: 'Infrastructure',
  'is updating': 'is updating',
  key: 'key',
  Language: 'Language',
  'Learn more': 'Learn more',
  'Remaining Quota': 'Remaining Quota',
  level: 'level',
  'Load more': 'Load more',
  'Log Out': 'Log Out',
  LOG_SEARCH: 'Log Search',
  logging: 'logging',
  memory: 'memory',
  message: 'message',
  MicroSeconds: 'MicroSeconds',
  MilliSeconds: 'MilliSeconds',
  Minutes: 'Minutes',
  'MMMM Do YYYY': 'MMMM Do YYYY',
  Monitors: 'Monitors',
  More: 'More',
  name: 'name',
  NanoSeconds: 'NanoSeconds',
  New: 'New',
  'No Available Resource': 'No Available Resource',
  No: 'No',
  'No Data': 'No Data',
  NO_PARAMETERS: 'No parameters.',
  'No Relevant Data': 'No Relevant Data',
  NO_RELEVANT_DATA: 'No Relevant Data Found',
  'No matching resources found.': 'No matching resources found.',
  'Node Selector': 'Node Selector',
  'Not Enabled': 'Not Enabled',
  'Number of events': 'Number of events',
  'Official Document': 'Official Document',
  'Operation Account': 'Operation Account',
  OPERATION_DETAILS: 'Operation Details',
  Optional: 'Optional',
  or: 'or',
  Others: 'Others',
  OUT: 'Out',
  Overview: 'Overview',
  'Params Configuration': 'Params Configuration',
  password: 'password',
  Path: 'Path',
  Password: 'Password',
  Pause: 'Pause',
  Pending: 'Pending',
  pending: 'pending',
  Platform: 'Platform',
  platform: 'platform',
  'Platform Status': 'Platform Status',
  'Platform Title': 'Platform Title',
  'Platform URL': 'Platform URL',
  'Platform Version': 'Platform Version',
  PLATFORM_LEVEL_ACCESS_CONTROL: 'Platform-level access control',
  'Filter by keyword': 'Filter by keyword',
  'Search by keyword': 'Search by keyword',
  'Please input value': 'Please enter the value.',
  'Please input password': 'Please enter the password.',
  'Please select project': 'Please select a project',
  'Please select workspace': 'Please select a workspace',
  'Pod Template': 'Pod Template',
  Pods: 'Pods',
  Preferences: 'Preferences',

  'Quick Support': 'Quick Support',
  ReadAndWrite: 'ReadAndWrite',
  ReadOnly: 'ReadOnly',
  Read: 'Read',

  Ready: 'Ready',

  reason: 'reason',
  'Recent Visit': 'Recent Visit',
  Reason: 'Reason',
  Record: 'Record',
  Records: 'Records',
  Refresh: 'Refresh',
  refresh: 'refresh',
  'refresh data': 'refresh data',
  'Related resources': 'Related resources',
  Remain: 'Remain',
  REMOVE_USER_TIP: 'REMOVE_USER_TIP',
  RESET: 'Reset',
  'Resource List': 'Resource List',
  Resource: 'Resource',
  Restart: 'Restart',
  Running: 'Running',

  Scheme: 'Scheme',
  'Search By Condition': 'Search By Condition',
  'search condition': 'search condition',
  'Search tips': 'Search tips',
  Seconds: 'Seconds',
  secret: 'secret',
  secret_text: 'Secret text',
  Service: 'Service',
  'Service Components': 'Components',
  'Session timeout or this account is logged in elsewhere, please login again':
    'Session timeout or this account is logged in elsewhere, please login again',
  Set: 'Set',
  IN_PROGRESS: 'In progress',
  Settings: 'Settings',
  Source: 'Source',
  'Source IP': 'Source IP',
  status: 'status',
  'Status Code': 'Status Code',
  stopped: 'stopped',
  Stopped: 'Stopped',
  Strategy: 'Strategy',
  Subresource: 'Subresource',
  Succeeded: 'Succeeded',
  Success: 'Success',
  Successful: 'Successful',
  successful: 'Successful',
  'Sure to delete': 'Delete',
  'Sure to remove': 'Remove',
  Suspend: 'Suspend',
  Tag: 'Tag',
  Task: 'Task',
  time: 'time',
  To: 'To',
  to: 'to',
  Total: 'Total',
  total: 'total',
  true: 'true',
  True: 'True',
  type: 'type',
  Uncordon: 'Uncordon',
  Undo: 'Undo',
  Unfinished: 'Unfinished',
  unfinished: 'unfinished',
  Unit: 'Unit',
  unit: 'unit',
  unknown: 'unknown',
  Unknown: 'Unknown',
  'Unknown User': 'Unknown User',
  Unresolved: 'Unresolved',
  Update: 'Update',
  'Updated at': 'Updated at',
  'Updated just now': 'Updated just now',
  updating: 'updating',
  Updating: 'Updating',
  Upgrading: 'Upgrading',
  Upstream: 'Upstream',
  Used: 'Used',
  'User Guides': 'User Guides',
  'User Manual': 'User Manual',
  'User Settings': 'User Settings',
  Username: 'Username',
  Value: 'Value',
  value: 'value',
  verb: 'verb',
  'Version Info': 'Version Info',
  View: 'View',
  Visit: 'Visit',
  'Volume Settings': 'Volume Settings',
  'Volume Snapshot': 'Volume Snapshot',
  VolumeSnapshot: 'Volume Snapshot',
  waiting: 'waiting',
  WAITING: 'Waiting',
  warning: 'warning',
  Warning: 'Warning',
  Workbench: 'Workbench',
  'workspaces found': 'workspaces found',
  'You can try to': 'You can try to',

  'YYYY-MM-DD': 'YYYY-MM-DD',

  _all: 'All Projects',
  NUM_UNIT: '',
  NAME_TOO_LONG: 'The value can contain a maximum of 63 characters.',
  LONG_NAME_TOO_LONG: 'The value can contain a maximum of 253 characters.',

  DELETE_DESC:
    'Are you sure you want to delete the resource? The resource cannot be restored after it is deleted.',
  STOP_DESC: 'Are you sure you want to stop the resource?',
  DELETE_RESOURCE_TYPE_DESC:
    'Enter the {type} name <strong>{resource}</strong> to confirm that you understand the risks of this operation.',

  DELETE_APP_RESOURCE_TIP:
    'Resource is managed by <strong>{app}</strong>, which may affect the normal use of this app if the resource is deleted. Please enter the {type} name <strong>{resource}</strong> to make sure you understand the risks associated with the operation.',
  STOP_APP_RESOURCE_TIP:
    'Resource is managed by <strong>{app}</strong>, which may affect the normal use of this app if the resource is stopped. Please enter the {type} name <strong>{resource}</strong> to make sure you understand the risks associated with the operation.',

  DELETE_RESOURCE_TITLE: 'Warning',
  DELETE_RESOURCE_TIP:
    'Are you sure about deleting the resource <strong>{resource}</strong> ? The resource cannot be recovered after it is deleted.',

  add_: 'Add',

  REMOVE_GROUP_TIP:
    'Are you sure you want to remove the group <strong>{resource}</strong>?',

  UPDATE_TIME: 'Updated {diff}',
  MONTH_AGO: '{count, plural, =1 {1 month} other {# months}} ago',
  MONTH_TIME: '{count, plural, =1 {1 month} other {# months}}',
  WEEK_AGO: '{count, plural, =1 {1 week} other {# weeks}} ago',
  WEEK_TIME: '{count, plural, =1 {1 week} other {# weeks}}',
  DAY_AGO: '{count, plural, =1 {1 day} other {# days}} ago',
  DAY_TIME: '{count, plural, =1 {1 day} other {# days}}',
  HOUR_AGO: '{count, plural, =1 {1 hour} other {# hours}} ago',
  HOUR_TIME: '{count, plural, =1 {1 hour} other {# hours}}',
  MINUTE_AGO: '{count, plural, =1 {1 minute} other {# minutes}} ago',
  MINUTE_TIME: '{count, plural, =1 {1 minute} other {# minutes}}',
  SECOND_AGO: '{count, plural, =1 {1 second} other {# seconds}} ago',
  SECOND_TIME: '{count, plural, =1 {1 second} other {# seconds}}',

  EVENT_NORMAL: 'Normal',
  EVENT_WARNING: 'Warning',

  QUOTA_LIMIT_TIP:
    'The configuration here refers to Limits in Kubernetes resource management, which is mainly used to limit the maximum value of resources used by each container.',

  DETAIL_NOT_FOUND_DESC:
    '🙇 Sorry, no related resources were found. Back to <a href="{link}">{title}</a>.',

  CONDITION_STATUS_ANALYSE: 'Conditions',

  NAV_PROJECTS: 'Projects',
  NAV_ACCOUNTS: 'Accounts',

  'rules text': 'How to define operational audit collection rules?',
  'rules desc':
    'KubeSphere can collect operation audits according to the rules you set. Click to see how to define the rules.',

  EVENT_CREATE_DESC: 'You can change the search criteria and search again.',

  TOOLBOX_KUBECTL_DESC:
    'Command line tool used to control the current cluster.',

  PLATFORM_SETTINGS_SELECTOR_DESC: 'Customized Platform Settings',

  FILE_OVERSIZED_TIP: 'The file uploaded must be less than 2M!',

  USER_GUIDES_DESC: 'The most comprehensive user guide of KubeSphere.',
  DEVELOPER_DESC: 'Raise a question in the developer community to get help.',
  API_DOCS_DESC: 'The most comprehensive KubeSphere API documentation.',
  GITHUB_ISSUES_DESC: 'Raise an issue in GitHub to get help.',

  // Workbench

  // Container Details Page
  CPU_VALUE: 'CPU: {value}',
  MEMORY_VALUE: 'Memory: {value}',

  // Container Log Search

  // Toolbox
}
