/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

module.exports = {
  CONTAINER_IMAGE: 'Container Image',
  MOUNT_PATH_EMPTY: 'Please enter a mount path.',
  IMAGE_TIME_SIZE_LAYER_PL: 'Updated {time}, {size}, {layer} layers',
  IMAGE_TIME_SIZE_LAYER_SI: 'Updated {time}, {size}, {layer} layer',
  HTTP_PATH_EMPTY: 'Please set a path for the HTTP check.',
  DUPLICATE_LABELS: 'Duplicate labels cannot be added.',
  REVISION_RECORD: 'Revision record',
  INVALID_PROJECT: 'Invalid project.',

  ADD_RULE: 'Add Rule',

  GPU_SETTING_TIP: 'Set the GPU Limit to null means no limit.',

  'Access Mode': 'Access Mode',
  'Add argument': 'Add argument',

  'Add command': 'Add command',
  'Add Container': 'Add Container',

  'Add Existing Volume': 'Add Existing Volume',
  'Add HostPath': 'Add HostPath',
  ADD_LABEL: 'Add Label',
  'Add Labels': 'Add Labels',

  'Add new container': 'Add new container',

  'Add Probe': 'Add Probe',
  'Add Temporary Volume': 'Add Temporary Volume',
  'Add Volume': 'Add Volume',
  'Add Volume Template': 'Add Volume Template',
  'Adding new contianer': 'Adding new contianer',
  'Additional metadata settings for resources such as Labels and Annotations.':
    'Additional metadata settings for resources such as Labels and Annotations.',
  'Additional metadata settings for resources.':
    'Additional metadata settings for resources.',

  WORKLOAD_ADD_METADATA_DESC: 'Add metadata to the workload.',

  'Advanced Options': 'Advanced Options',
  'Applied to the workload': 'Applied to the workload',
  Argument: 'Argument',
  ARGUMENTS: 'Arguments',
  'Available number of nodes scheduled': 'Available number of nodes scheduled',
  'Can be found by node IP or node name':
    'Can be found by node IP or node name',

  capacity: 'capacity',

  'Cluster Resource Status': 'Cluster Resource Status',
  'Coding Mode': 'Coding Mode',
  'Collecting file log': 'Collecting file log',
  Commands: 'Commands',

  'Config Template': 'Config Template',
  'Container Config': 'Container Config',
  'Container CPU Resource Request, 1 Core = 1000m':
    'Container CPU Resource Request, 1 Core = 1000m',

  'Container Memory Resource Request': 'Container Memory Resource Request',

  'Container Setting': 'Container Setting',

  ContainerCreating: 'ContainerCreating',
  ContainerNotReady: 'ContainerNotReady',
  ContainersNotInitialized: 'ContainersNotInitialized',
  ContainersNotReady: 'ContainersNotReady',

  'CPU(m)': 'CPU(m)',
  CrashLoopBackOff: 'CrashLoopBackOff',
  CreateContainerConfigError: 'CreateContainerConfigError',
  CreateContainerError: 'CreateContainerError',
  created: 'created',
  CronJob: 'Cronjob',

  'CronJob Settings': 'Cronjob Settings',
  'Current number of nodes scheduled': 'Current number of nodes scheduled',

  'Current Revision': 'Current Revision',
  'Current Stage(phase)': 'Current Stage(phase)',

  'Current Utilization': 'Current Utilization',

  DeploymentPaused: 'DeploymentPaused',
  DeploymentResumed: 'DeploymentResumed',
  'Desired number of nodes scheduled': 'Desired number of nodes scheduled',
  'Desired Replicas': 'Desired Replicas',
  DockerDaemonNotReady: 'DockerDaemonNotReady',

  EDIT_CONTAINER: 'Edit Container',

  EmptyDir: 'EmptyDir',
  Environment: 'Environment',

  'environment variables': 'environment variables',
  ErrImageNeverPull: 'ErrImageNeverPull',
  ErrImagePull: 'ErrImagePull',

  'Exec Command Check': 'Exec Command Check',
  'Every Day': 'Every Day',
  'Every Hour': 'Every Hour',
  'Every Month': 'Every Month',
  'Every Week': 'Every Week',
  RUNNING_RECORDS: 'Running Records',

  FailedCreate: 'FailedCreate',
  FailedDelete: 'FailedDelete',

  'File List': 'File List',
  'for example': 'for example',
  FoundNewReplicaSet: 'FoundNewReplicaSet',
  HORIZONTAL_POD_AUTOSCALING: 'Horizontal Pod Autoscaling',

  'Host Path': 'Host Path',

  'Image Name': 'Image Name',

  ImageInspectError: 'ImageInspectError',
  ImagePullBackOff: 'ImagePullBackOff',
  'Initial Delay': 'Initial Delay',

  'Instance Status': 'Instance Status',
  'Invalid image': 'Invalid image',

  'Invalid name': 'Invalid name. {message}',
  'Invalid pod': 'Invalid value',
  InvalidImageName: 'InvalidImageName',
  'is running': 'is running',
  Job: 'Job',

  'Job Settings': 'Job Settings',

  'Job Template': 'Job Template',

  LABEL_EXIST_DESC: 'The label already exists. Please enter another label.',

  'Labels cannot be empty': 'Labels cannot be empty',

  layers: 'layers',

  'log path relative to container mount path':
    'log path relative to container mount path',
  'm.internalLifecycle.PreStartContainer':
    'm.internalLifecycle.PreStartContainer',

  MAX_SURGE_POD_VALIDATOR: 'MAX_SURGE_POD_VALIDATOR',
  'Maximum number of replicas': 'Maximum number of replicas',

  'Memory Target Utilization': 'Memory Target Utilization',

  'min replicas number should not be greater than max replicas number':
    'min replicas number should not be greater than max replicas number',
  MinimumReplicasAvailable: 'MinimumReplicasAvailable',
  MinimumReplicasUnavailable: 'MinimumReplicasUnavailable',

  Mount: 'Mount',

  'Mount point': 'Mount point',
  'Mount Temporary Volume': 'Mount Temporary Volume',

  'Mount Volume': 'Mount Volume',

  mounted: 'mounted',
  NetworkPluginNotReady: 'NetworkPluginNotReady',
  'New Volume': 'New Volume',
  NewReplicaSetAvailable: 'NewReplicaSetAvailable',
  NewReplicaSetCreated: 'NewReplicaSetCreated',

  'No related resources found with the current workload(s)':
    'No related resources found with the current workload(s)',

  'No Request': 'No Request',
  'No resource limits': 'No resource limits',

  'Please add at least one volume': 'Please add at least one volume',
  'Please add at least one volume or volume template':
    'Please add at least one volume or volume template',

  'Please input command': 'Please input command',

  'Please input a schedule.': 'Please input a schedule.',

  'Please input mount point': 'Please input mount point',
  'Please input port': 'Please input port',

  'Please select a storage class': 'Please select a storage class',

  'Please select protocol': 'Please select protocol',

  'Please specify an image': 'Please specify an image',

  'Pod CPU Request': 'Pod CPU Request',
  'Pod Decentralized Deployment': 'Pod Decentralized Deployment',
  'Pod Default Deployment': 'Pod Default Deployment',

  'Pod Memory Request': 'Pod Memory Request',

  'Pod replicas will be deployed on different nodes as much as possible.':
    'Pod replicas will be deployed on different nodes as much as possible.',
  'Pod replicas will be deployed on the same node as much as possible.':
    'Pod replicas will be deployed on the same node as much as possible.',
  'Pod replicas will be deployed according to user customization.':
    'Pod replicas will be deployed according to user customization.',
  'Pod Security Context': 'Pod Security Context',

  'Pod Status': 'Pod Status',
  POD_STATUS_ANALYSIS: 'Pod Status Analysis',
  POD_REASON_FAILEDCREATE: 'Creation failed',
  POD_REASON_FAILEDDELETE: 'Deletion failed',
  POD_REASON_SUCCESSFULCREATE: 'Creation succeeded',
  POD_REASON_SUCCESSFULDELETE: 'Deletion succeeded',
  PodInitializing: 'Pod initializing',
  'Pods List': 'Pods List',
  Port: 'Port',
  'Port(s)': 'Port(s)',
  ports: 'ports',
  PostStartHookError: 'PostStartHookError',
  'Private Registry': 'Private Registry',
  Privileged: 'Privileged',

  ProgressDeadlineExceeded: 'ProgressDeadlineExceeded',
  Protocols: 'Protocols',

  'Read Write Mode': 'Read Write Mode',

  RegistryUnavailable: 'RegistryUnavailable',
  REPLICA_STATUS: 'Replica Status',
  'Replicas Number': 'Replicas Number',
  ReplicaSetCreateError: 'ReplicaSetCreateError',
  ReplicaSetUpdated: 'ReplicaSetUpdated',
  'request CPU should not be greater than limit CPU':
    'request CPU should not be greater than limit CPU',
  'request memory should not be greater than limit memory':
    'request memory should not be greater than limit memory',
  'Request Type': 'Request Type',

  'Resource Info': 'Resource Info',
  'Resource Limit': 'Resource Limit',

  'Resource limits remaining quota': 'Resource limits remaining quota',

  'Resource Request': 'Resource Request',

  'Resource requests remaining quota': 'Resource requests remaining quota',

  Revision: 'Revision',

  'Revision Rollback': 'Revision Rollback',
  'Rollback Revisions': 'Rollback Revisions',

  RollingUpdate: 'RollingUpdate',

  RunContainerError: 'RunContainerError',
  Schedule: 'Schedule',

  'Select by Node': 'Select by Node',
  RESOURCE: 'Resource',

  'Service Configuration': 'Service Configuration',
  'Service Labels': 'Service Labels',

  'Set Mount Path': 'Set Mount Path',

  'Storage Size': 'Storage Size',
  'Strategy Type': 'Strategy Type',

  SuccessfulCreate: 'SuccessfulCreate',
  SuccessfulDelete: 'SuccessfulDelete',

  'Sure to delete the workload(s)?': 'Sure to delete the workload(s)?',
  'target port': 'target port',

  'TCP Port Check': 'TCP Port Check',
  'TCP Port': 'TCP Port',
  'Exec Command': 'Exec Command',
  'Temporary Volume': 'Temporary Volume',

  'Timeout(s)': 'Timeout(s)',

  'The concurrency policy setting.': 'The concurrency policy setting.',
  'The minimum of the replicas that can be set by HPA':
    'The minimum of the replicas that can be set by HPA',
  'The number of failed jobs allowed to be retained.':
    'The number of failed jobs allowed to be retained.',
  'The number of successful jobs allowed to be retained.':
    'The number of successful jobs allowed to be retained.',

  'UI Mode': 'UI Mode',
  'Update Strategy': 'Update Strategy',

  'Volume Name': 'Volume Name',
  'Volume Source': 'Volume Source',
  DISK_LOG_COLLECTION_Q: 'What is disk log collection?',
  'What is Disk Log Collection?': 'What is Disk Log Collection?',
  'Worker Container': 'Worker Container',

  Workload: 'Workload',

  'Not Limited': 'Not Limited',
  Cost: 'Cost',
  AVAILABLE_QUOTAS: 'Available Quotas',

  WORKLOAD_REASON_DEPLOYMENTPAUSED: 'Deployment paused',
  WORKLOAD_REASON_DEPLOYMENTRESUMED: 'Deployment resumed',
  WORKLOAD_REASON_FAILEDCREATE: 'Creation failed',
  WORKLOAD_REASON_FOUNDNEWREPLICASET: 'New ReplicaSet found',
  WORKLOAD_REASON_MINIMUMREPLICASAVAILABLE: 'Minimum replicas available',
  WORKLOAD_REASON_MINIMUMREPLICASUNAVAILABLE: 'Minimum replicas unavailable',
  WORKLOAD_REASON_NEWREPLICASETAVAILABLE: 'New ReplicaSet available',
  WORKLOAD_REASON_NEWREPLICASETCREATED: 'New ReplicaSet created',
  WORKLOAD_REASON_PROGRESSDEADLINEEXCEEDED: 'Process timed out',
  WORKLOAD_REASON_REPLICASETCREATEERROR: 'ReplicaSet creation error',
  WORKLOAD_REASON_REPLICASETUPDATED: 'ReplicaSet updated',
  Workloads: 'Workloads',

  DEPLOYMENT_DESC:
    'Deployment provides fine-grained management of common applications in KubeSphere. Deployment configuration describes the desired state of specific components of an application as pod templates.',

  STATEFULSET_DESC:
    'Statefulset is used to manage stateful applications, manages the deployment and scaling of a set of pods, and provides guarantees about the ordering and uniqueness of these pods.',

  DAEMONSET_DESC:
    'A daemonset ensures that all (or some) Nodes run a copy of a pod. Typically, a daemonset is used to running a logs collection, monitoring daemon or other system management applications.',

  CRONJOB_NAME_DESC:
    'It can only contain lowercase letters, numbers and hyphens("-"), and must start and end with a lowercase letter or a number. The value can contain a maximum of 52 characters.',
  CRONJOB_NAME_TOO_LONG: 'The value can contain a maximum of 52 characters.',

  UPDATE_STRATEGY_DESC:
    'It\'s used to configure the strategy for replacing pods during the upgrade process. <a href="{link}" target="_blank">Learn more.</a>',

  MAX_DEPLOY_UNAVAILABLE_POD_DESC:
    'The maximum number of pods that can be unavailable during the update.',

  ROLLING_UPDATE_POD_TIP:
    'It limits the minimum and maximum available quantities based on the current replicas when it is in rolling update. The minimum number of replicas cannot exceed the current number of replicas, and the maximum number of pods cannot exceed 2 times the current replicas.',

  STATEFULSET_PARTITION_DESC:
    'Partition indicates the ordinal at which the statefulset should be partitioned. Default value is 0.',

  IMAGE_REGISTRY_PLACEHOLDER: 'Select the registry secret',

  REPLICAS_DESC: 'The desired number of pods will be created for the {module}.',
  VOLUME_SUB_TEXT: 'Volumes used by the containers of the workload',
  EMPTYDIR_DESC: 'Temporary storage created for the workload',
  HOSTPATH_DESC:
    'A HostPath volume mounts a file or directory from the host node’s filesystem into your pod.',

  DEPLOYMENTS_BASEINFO_DESC:
    'You can give the deployment a name that is easy to distinguish when you use it.',
  DEPLOYMENT_POD_TEMPLATE_DESC:
    'The workload can automatically create a specified number of pods based on the pod template and the number of replicas you set.',
  DEPLOYMENTS_VOLUME_DESC:
    'You can mount the same temporary storage volume or persistent storage volume to each copy of the deployed pods.',
  DEPLOYMENT_LABEL_SETTINGS_DESC:
    'The labels are one or more key-value pairs that are associated with a resource, such as a pod. We usually identify, organize, or find resource objects through labels.',
  DEPLOYMENT_NODE_SELECT_DESC:
    "By using a selector to dispatch a pod to a node that is expected to run, these selectors are one or more sets of key-value pairs that match the node's labels.",
  DEPLOYMENT_JOB_SETTINGS_DESC:
    'You can configure the Job Spec template, where the Job Controller is responsible for creating pods based on the Job Spec and keep monitoring the status of the pod until it completes successfully. If it fails, the RestartPolicy (which supports OnFailure and Never) determines whether to create a new pod and rerun the job.',
  DEPLOYMENT_CRONJOB_SETTINGS_DESC:
    'The cronjob settings is the part of template for the cronjob, it has exactly the same schema as a job, where the job Controller is responsible for creating pods based on the Cronjob Spec and keep monitoring the status of the pod until it completes successfully. If it fails, the RestartPolicy (which supports OnFailure and Never) determines whether to create a new pod and rerun the cronjob.',

  STATEFULSETS_VOLUME_TEMPLATE_DESC:
    'Create a dedicated persistent volume for each pod of the statefulset and mount it to the appropriate pod',

  STATEFULSETS_BASEINFO_DESC:
    'Statefulset is used to manage stateful applications.',
  STATEFULSETS_SERVICE_CONFIG_DESC:
    "The cluster doesn't generate cluster IP for the service. In another word, a statefulset works with a headless service with selector. Therefore, the service is accessed internally through the service's endpoint IPs directly. Statefulset is used for stateful applications such as master-slave serivces.",

  DAEMONSETS_BASEINFO_DESC:
    'The daemonset guarantees that a copy of the container is running on each host, often used to deploy logs, monitoring, or other system management applications for some clusters.',
  DAEMONSETS_VOLUME_DESC:
    'You can mount a HostPath, temporary volumes, or persistent volumes to a pod of the daemonset.',

  JOBS_BASEINFO_DESC: '',
  JOBS_POD_TEMPLATE_DESC: 'Specify the pod template to run in the job',
  JOBS_VOLUME_DESC:
    'You can mount a temporary volumes, or persistent volumes to a pod of the job.',

  RESTART_POLICY_TIP:
    'RestartPolicy can only specify Never or OnFailure, when the job is not completed:<br/>* If RestartPolicy specifies Never, the job creates a new pod when the pod fails, and the failed pod does not disappear.<br/>* If RestartPolicy specifies OnFailure, the job will internally restart the container when the pod fails, instead of creating a new pod.',

  CRONJOBS_BASEINFO_DESC:
    'Basic information regarding the cronjob. You need to specify the name and schedule',
  CRONJOBS_VOLUME_DESC:
    'You can mount a temporary volumes, or persistent volumes to a pod of the cronjob.',

  VOLUME_EMPTY_TIP: 'No created volumes, please',

  HOST_PATH_DESC:
    'HostPath allows you to mount the file system on the host to the pod. If the pod needs to use files on the host, you can use HostPath.',

  EMPTY_DIR_DESC:
    'Temporary volumes are assigned to the host along with the pod. When a pod is deleted from the host, the temporary volume is also deleted and the data of the volume is permanently deleted. <br /> Note: Deleting a container does not affect the temporary volume.',
  SELECT_VOLUME_TYPE_DESC: 'You can choose to an proper volume type to add',

  MOUNT_VOLUME_DESC:
    'For persistent storage volumes, select a volume that supports multi-node read-write mode (ROX or RWX). Otherwise, the pods update may fail because the pods are not on the same node. If you choose a single-node read-write (RWO) mode volume, you can also schedule the pods on the same node by node selection to avoid update errors.',

  REVISION_ROLLBACK_SELECT: 'Please select the version to be rolled back',
  REVISION_TITLE: '{name} revision',

  PROBE_MSG:
    'Readiness Probe checks whether the container is ready to handle requests. Failure means the container should not receive any traffic from the agent even if it were running. Liveness Probe checks whether the container that configures it is running. If the Probe fails, the container will be killed and the restart policy will be implemented for the container.',
  WORKLOAD_REPLICA_MSG:
    'In the user-defined scope, if the number of pods increases, the ReplicationController will terminate the extra pods. Instead, the RC will create a new pod that remains in the defined scope. For example, the RC will recreate the pod on the node after pod maintenance (such as kernel upgrades).',
  DEPLOYMENTS_REPLICA_DESC:
    'Deployment is used to describe a desired state that is expected to be reached by the application. It is mainly used to describe stateless applications. The number and state of replicas are maintained by the deployment controller, ensuring the state is consistent with the defined expected state. You can increase the replicas to meet higher loads. Rolling back the deployment version can eliminate program bugs. And you can create an autoscaler to flexibly handle the load in different scenarios.',
  STATEFULSETS_REPLICA_DESC:
    'Statefulset is used to describe stateful applications, such as master-slave relations between replicas and persistent data storage. Like a deployment, a statefulset creates identical replicas. The difference is that each replica has a persistent and unique identifier that it maintains across any rescheduling. You can use statefulsets to achieve ordered deployment, deletion and rolling updates.',
  DAEMONSETS_REPLICA_DESC:
    'Daemonset ensures that each node in the cluster runs a replica. When a node joins the cluster or leaves, the number of replicas is automatically adjusted to ensure that the number of replicas is the same as the number of nodes in the cluster. You can use daemonsets to run storage services (GlusterFS, Ceph, etc.), log collection services (Fluentd, Logstash, etc.), and monitoring services.',

  CONTAINER_CPU_DESC:
    "It's used as the judgment of resource allocation when scheduling containers. The container is allowed to be scheduled to the node only if the total amount of CPU that can be allocated on the node is equal or greater than the request value of the container CPU.",
  CONTAINER_MEMORY_DESC:
    "It's used as the judgment of resource allocation when scheduling containers. The container is allowed to be scheduled to the node only if the total amount of memory that can be allocated on the node is equal or greater than the request value of the container memory.",
  FILL_IMAGE_DEFAULT_PORTS_DESC:
    'Whether to expose the default port of the image?',

  REQUEST_EXCCED:
    'Resource requests should not be greater than resource limits.',
  REQUEST_EXCEED_AVAILABLE_QUOTA:
    'Resource requests and limits cannot exceed available resource limits.',
  POD_SCALE_DESC: 'The number of pod instances that can be scaled',
  REPLICAS_AVAILABLE: 'Available',

  DEPLOY_PLACEMENT_TIP_TITLE: 'What is deployment location?',
  DEPLOY_PLACEMENT_TIP_VALUE:
    'You can deploy pods on different clusters and define the number of replicas deployed. The Federation Controller Manager schedules pods on different clusters in a unified way and synchronizes status.',

  // Pods Page
  NODE_IP: '{node} ({ip})',

  // Jobs

  JOBS: 'Jobs',

  // Cronjobs
  ADD_VOLUME: 'Add Volume',

  MOUNT_VOLUMES: 'Mount Volumes',

  // Workload
}
