/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */
module.exports = {
  'Add New Cluster': 'Add New Cluster',
  'Authorize the cluster to workspace': 'Assign the Cluster to Workspaces',
  'Choose a provider': 'Choose a provider',
  'Click to Copy': 'Click to Copy',
  'Cluster initialization failed': 'Cluster initialization failed',
  'Cluster List': 'Cluster List',
  'Cluster Management': 'Cluster Management',
  'Cluster Member': 'Cluster Member',
  'Cluster Members': 'Cluster Members',
  'Cluster Roles': 'Cluster Roles',
  'Connection Method': 'Connection Method',
  'Copy successfully': 'Copy successfully',
  'Custom Resources': 'CRDs',
  'Enter the project': 'Enter the project',
  'Go back': 'Go back',
  'Host Cluster': 'Host Cluster',
  'Host Clusters': 'Host Clusters',
  Import: 'Import',
  'Import Kubernetes Cluster': 'Import Kubernetes Cluster',
  'Invite members to the cluster': 'Invite members to the cluster',
  'Kubernetes Settings': 'Kubernetes Settings',
  'Member Cluster': 'Member Cluster',
  'Member Clusters': 'Member Clusters',
  'Network Management': 'Network',
  'Network Policies': 'Network Policies',
  'Network Topology': 'Network Topology',
  'Node Types': 'Node Types',
  'Nodes Management': 'Nodes Management',
  'Not Ready': 'Not Ready',
  'Please input cluster name': 'Please enter a cluster name.',
  'Please input the kubesphere api server address of the cluster': 'Please input the kubesphere api server address of the cluster',
  'Please select or input a provider': 'Please select or input a provider',
  'Please select or input a tag': 'Please select or input a tag',
  SELECT_CLUSTERS: 'Select Clusters',
  'The current cluster is public': 'The current cluster is public',
  Tools: 'Tools',
  Unauthorized: 'Unauthorized',
  Validating: 'Validating',
  'Validation failed': 'Validation failed',
  'How to Add': 'How to Add',
  'New Cluster': 'New Cluster',
  'Import Cluster': 'Import Cluster',
  'Cluster Basic Info': 'Cluster Basic Information',
  'Node Settings': 'Node Settings',
  'Please add at least one cluster node': 'Please add at least one cluster node',
  'Add node to the cluster': 'Add node to the cluster',
  'Kubernetes Cluster Settings': 'Kubernetes Cluster Settings',
  'Network Plugin': 'Network Plugin',
  'Max Pods': 'Max Pods',
  'Pods CIDR': 'Pods CIDR',
  'Service CIDR': 'Service CIDR',
  'Default Storage Plugin': 'Default Storage Plugin',
  'Private Registry Configuration': 'Private Registry Configuration',
  'etcd Backup': 'etcd Backup',
  'etcd Backup Dir': 'etcd Backup Dir',
  'etcd Backup Period': 'etcd Backup Period',
  'Keep Backup Number': 'Keep Backup Number',
  'KubeSphere Settings': 'KubeSphere Settings',
  NO_CLUSTER_TIP_DESC: 'A cluster is a group of nodes (physical or virtual machines) running Kubernetes, and the function of Kubesphere also depends on the nodes in the cluster.',
  ADD_NEW_CLUSTER_DESC: 'Add a new Kubernetes cluster',
  CHOOSE_PROVIDER_DESC: 'KubeSphere provides a solution for quickly deploying Kubernetes clusters among mainstream service providers',
  MULTI_CLUSTER: 'Multi-Clusters',
  CLUSTER_INFO_TCAP: 'Cluster Information',
  INVITE_CLUSTER_MEMBER_DESC: 'You can invite new members to this cluster.',
  CLUSTER_API_SERVER_TITLE: 'Kubesphere API Server to be added to the cluster',
  CLUSTER_API_SERVER_DESC: 'You need to input the KubeSphere API Server address to be added to the cluster',
  AUTHORIZE_CLUSTER_TO_WORKSPACE_DESC: 'Clusters can be assigned to workspaces through authorization.',
  PUBLIC_CLUSTER_DESC: 'A public cluster means all platform users can access the cluster, in which they are able to create and schedule resources.',
  CLUSTER_AUTHORIZATION_DESC: 'The cluster can be assigned to workspaces through authorization.',
  REMOVE_WORKSPACE_CONFIRM_DESC: 'Enter the name of the workspace(s) <strong>{resource}</strong> to confirm that you understand the risks of this operation.',
  K8S_NETWORK_PLUGIN_CALICO: 'Calico is a pure 3-layer network solution that seamlessly integrates the IaaS cloud architecture and can provide IP communication between VMs, containers, and bare metal.',
  K8S_NETWORK_PLUGIN_FLANNEL: 'Flannel allows Docker containers created by different node hosts in the cluster to have a unique virtual IP address in the entire cluster',
  K8S_NETWORK_PLUGIN_CILIUM: 'eBPF-based Networking, Security, and Observability.',
  INIT_NODES: 'Initialize nodes',
  PULL_IMAGES: 'Pull images',
  INIT_ETCD_CLUSTER: 'Initialize the etcd cluster',
  INIT_CONTROL_PLANE: 'Initialize the control plane',
  JOIN_NODES: 'Add nodes',
  INSTALL_ADDONS: 'Install plugins',
  // Unbind Cluster
  // Cluster Visibility
  AUDITING: 'Auditing'
};